# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.analytics
Class AnalyticsService.Versions

    java.lang.Object
      com.google.gdata.client.analytics.AnalyticsService.Versions

Enclosing class:
  AnalyticsService

    public static final class AnalyticsService.Versions

extends java.lang.Object

GData versions supported by the Google Analytics Data Export API.

Field Summary
`static Version` `V1` Version 1.
`static Version` `V2` Version 2.
`static Version` `V2_1` Version `2.1`.
`static Version` `V2_2` Version `2.2`.
`static Version` `V2_3` Version `2.3`.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### V1

    public static final Version V1

  Version 1. Based on GData version 1.

### V2

    public static final Version V2

  Version 2. This version adds OAuth support, fully complies with the Atom Publishing Protocol, upgrades OpenSearch to 1.1, and is based on GData version 2.

### V2_1

    public static final Version V2_1

  Version `2.1`. This version adds generalized account feeds, gd:kind attributes, advanced segment support, expanded goal information, and Website Optimizer support, and is based on GData version 2.1.

### V2_2

    public static final Version V2_2

  Version `2.2`. This version adds Management API feeds, and is based on GData version 2.1.

### V2_3

    public static final Version V2_3

  Version `2.3`. This version adds containsSampledData, and is based on GData version 2.1.